VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo:
[legend]

## Public Member Functions

| PipelineTessellationStateCreateInfo (PipelineTessellationStateCreateFlags flags_=PipelineTessellationStateCreateFlags(), uint32_t patchControlPoints_=0)
| PipelineTessellationStateCreateInfo (VkPipelineTessellationStateCreateInfo const &rhs)
PipelineTessellationStateCreateInfo & | operator= (VkPipelineTessellationStateCreateInfo const &rhs)
PipelineTessellationStateCreateInfo & | setPNext (const void *pNext_)
PipelineTessellationStateCreateInfo & | setFlags (PipelineTessellationStateCreateFlags flags_)
PipelineTessellationStateCreateInfo & | setPatchControlPoints (uint32_t patchControlPoints_)
| operator VkPipelineTessellationStateCreateInfo const & () const
| operator VkPipelineTessellationStateCreateInfo & ()
bool | operator== (PipelineTessellationStateCreateInfo const &rhs) const
bool | operator!= (PipelineTessellationStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineTessellationStateCreateFlags | flags
uint32_t | patchControlPoints

## Private Attributes

StructureType | sType = StructureType::ePipelineTessellationStateCreateInfo

## Detailed Description

Definition at line 10550 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineTessellationStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::PipelineTessellationStateCreateInfo | ( | PipelineTessellationStateCreateFlags | flags_ = `PipelineTessellationStateCreateFlags()`,
|  | uint32_t | patchControlPoints_ = `0`
| ) |  |

inline

Definition at line 10552 of file vulkan.hpp.

: flags( flags_ )
, patchControlPoints( patchControlPoints_ )
{
}

## PipelineTessellationStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::PipelineTessellationStateCreateInfo | ( | VkPipelineTessellationStateCreateInfo const & | rhs | ) |

inline

Definition at line 10559 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineTessellationStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineTessellationStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator VkPipelineTessellationStateCreateInfo & | ( |  | ) |

inline

Definition at line 10592 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineTessellationStateCreateInfo*>(this);
}

## operator VkPipelineTessellationStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator VkPipelineTessellationStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 10587 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineTessellationStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator!= | ( | PipelineTessellationStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10605 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineTessellationStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator= | ( | VkPipelineTessellationStateCreateInfo const & | rhs | ) |

inline

Definition at line 10564 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineTessellationStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator== | ( | PipelineTessellationStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10597 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( patchControlPoints == rhs.patchControlPoints );
}

References flags, patchControlPoints, pNext, and sType.

Referenced by operator!=().

## setFlags()

PipelineTessellationStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::setFlags | ( | PipelineTessellationStateCreateFlags | flags_ | ) |

inline

Definition at line 10575 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPatchControlPoints()

PipelineTessellationStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::setPatchControlPoints | ( | uint32_t | patchControlPoints_ | ) |

inline

Definition at line 10581 of file vulkan.hpp.

{
patchControlPoints = patchControlPoints_;
return *this;
}

References patchControlPoints.

## setPNext()

PipelineTessellationStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10569 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

PipelineTessellationStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::flags

Definition at line 10615 of file vulkan.hpp.

Referenced by operator==().

## patchControlPoints

uint32_t VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::patchControlPoints

Definition at line 10616 of file vulkan.hpp.

Referenced by operator==(), and setPatchControlPoints().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::pNext = nullptr

Definition at line 10614 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::sType = StructureType::ePipelineTessellationStateCreateInfo

private

Definition at line 10611 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::operator==
bool operator==(PipelineTessellationStateCreateInfo const &rhs) const
Definition: vulkan.hpp:10597
VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:10611
VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::PipelineTessellationStateCreateInfo
PipelineTessellationStateCreateInfo(PipelineTessellationStateCreateFlags flags_=PipelineTessellationStateCreateFlags(), uint32_t patchControlPoints_=0)
Definition: vulkan.hpp:10552
VkPipelineTessellationStateCreateInfo
Definition: vulkan_core.h:2338
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:10614
VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::flags
PipelineTessellationStateCreateFlags flags
Definition: vulkan.hpp:10615
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::PipelineTessellationStateCreateInfo::patchControlPoints
uint32_t patchControlPoints
Definition: vulkan.hpp:10616